﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_TRANSACTION_BEI') 
 CREATE TABLE T_MON_TRANSACTION_BEI (
	FID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBILLNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
	FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
	FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FBOOKDATE DATETIME,
	FISLARGEAMOUNT CHAR(1) DEFAULT '0' NOT NULL,
	FISSENSITIVE CHAR(1) DEFAULT '0' NOT NULL,
	FISATTENTION CHAR(1) DEFAULT '0' NOT NULL,
	FISDOUBT CHAR(1) DEFAULT '0' NOT NULL,
	FOPPUNIT VARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPPACCTNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_TRANSPLAN' AND KSQL_COL_NAME IN ('FDATASOURCE')) 
 ALTER TABLE T_MON_TRANSPLAN ADD (FDATASOURCE VARCHAR(50) DEFAULT 'bankjournal' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_TRANSPLAN' AND KSQL_COL_NAME IN ('FSTATSINNERACCT')) 
 ALTER TABLE T_MON_TRANSPLAN ADD (FSTATSINNERACCT CHAR(1) DEFAULT '0' NOT NULL);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_table.sql **/
